package com.fjs.scenic.entity.user;

import java.util.Date;

public class User {
    private Integer id;

    private String nickName;

    private String phone;

    private String headPic;

    private String sex;

    private String status;

    private Date createTime;

    private Date uodateTime;

    private String openid;

    public User(Integer id, String nickName, String phone, String headPic, String sex, String status, Date createTime, Date uodateTime, String openid) {
        this.id = id;
        this.nickName = nickName;
        this.phone = phone;
        this.headPic = headPic;
        this.sex = sex;
        this.status = status;
        this.createTime = createTime;
        this.uodateTime = uodateTime;
        this.openid = openid;
    }

    public User() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public User setId(Integer id) {
    	this.id = id;
    	return this;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName == null ? null : nickName.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getHeadPic() {
        return headPic;
    }

    public void setHeadPic(String headPic) {
        this.headPic = headPic == null ? null : headPic.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUodateTime() {
        return uodateTime;
    }

    public void setUodateTime(Date uodateTime) {
        this.uodateTime = uodateTime;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid == null ? null : openid.trim();
    }
}